# std::chrono::month_weekday::ok

From cppreference.com
< cpp‎ | chrono‎ | month weekday

constexpr bool ok() const noexcept; |  | (since C++20)

Checks if the contained `month` and `weekday_indexed` objects are valid.

### Return value

month().ok() && weekday_indexed().ok()

### Example

Run this code

    #include <cassert>
    #include <chrono>

    int main()
    {
        auto mwdi{std::chrono::March/std::chrono::Friday[1]};
        assert(mwdi.ok());

        mwdi = {std::chrono::month(17)/std::chrono::Friday[1]};
        assert(not mwdi.ok());

        mwdi = {std::chrono::March/std::chrono::Friday[-4]};
        assert(not mwdi.ok());
    }

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/month_weekday/ok&oldid=157323"